# PhasicFlow: interactionBase Class Reference

interactionBase Class Reference
Inheritance diagram for interactionBase:
[legend]
Collaboration diagram for interactionBase:
[legend]

## Public Types

using | IndexType = CELL_INDEX_TYPE
using | IdType = ID_TYPE
using | ExecutionSpace = DefaultExecutionSpace

## Public Member Functions

| interactionBase (const particles &prtcl, const geometry &geom)
const auto & | pStruct () const
const auto & | surface () const
const auto & | Particles () const
auto & | Geometry () const

## Protected Attributes

const particles & | particles_
const geometry & | geometry_

## Detailed Description

Definition at line 31 of file interactionBase.hpp.

## Member Typedef Documentation

## IndexType

using IndexType = CELL_INDEX_TYPE

Definition at line 35 of file interactionBase.hpp.

## IdType

using IdType = ID_TYPE

Definition at line 37 of file interactionBase.hpp.

## ExecutionSpace

using ExecutionSpace = DefaultExecutionSpace

Definition at line 39 of file interactionBase.hpp.

## Constructor & Destructor Documentation

## interactionBase()

interactionBase | ( | const particles & | prtcl,
|  | const geometry & | geom
| ) |  |

inline

Definition at line 49 of file interactionBase.hpp.

## Member Function Documentation

## pStruct()

const auto& pStruct | ( |  | ) | const

inline

Definition at line 58 of file interactionBase.hpp.

References interactionBase::particles_, and particles::pStruct().

Here is the call graph for this function:

## surface()

const auto& surface | ( |  | ) | const

inline

Definition at line 64 of file interactionBase.hpp.

References interactionBase::geometry_, and geometry::surface().

Here is the call graph for this function:

## Particles()

const auto& Particles | ( |  | ) | const

inline

Definition at line 70 of file interactionBase.hpp.

References interactionBase::particles_.

Referenced by ContactSearch< BaseMethod, WallMapping >::broadSearch(), and ContactSearch< BaseMethod, WallMapping >::ContactSearch().

Here is the caller graph for this function:

## Geometry()

auto& Geometry | ( |  | ) | const

inline

Definition at line 75 of file interactionBase.hpp.

References interactionBase::geometry_.

Referenced by ContactSearch< BaseMethod, WallMapping >::ContactSearch().

Here is the caller graph for this function:

## Member Data Documentation

## particles_

const particles& particles_

protected

Definition at line 43 of file interactionBase.hpp.

Referenced by interactionBase::Particles(), and interactionBase::pStruct().

## geometry_

const geometry& geometry_

protected

Definition at line 45 of file interactionBase.hpp.

Referenced by interactionBase::Geometry(), and interactionBase::surface().

The documentation for this class was generated from the following file:

- src/Interaction/interaction/interactionBase.hpp